Commerce
Get v1commerceordersmetricstrend
GET
/
v1
/
commerce
/
orders
/
metrics
/
trend
cURL
curl --request GET \
--url https://api.wazapin.com/v1/commerce/orders/metrics/trendconst options = {method: 'GET'};
fetch('https://api.wazapin.com/v1/commerce/orders/metrics/trend', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.wazapin.com/v1/commerce/orders/metrics/trend"
response = requests.get(url)
print(response.text){
"current": {
"gmv": 123,
"order_count": 123,
"paid_count": 123
},
"gmv_pct_change": 123,
"order_count_pct_change": 123,
"paid_count_pct_change": 123,
"previous": {
"gmv": 123,
"order_count": 123,
"paid_count": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}Query Parameters
Window period: 7, 30, or mtd
⌘I
cURL
curl --request GET \
--url https://api.wazapin.com/v1/commerce/orders/metrics/trendconst options = {method: 'GET'};
fetch('https://api.wazapin.com/v1/commerce/orders/metrics/trend', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.wazapin.com/v1/commerce/orders/metrics/trend"
response = requests.get(url)
print(response.text){
"current": {
"gmv": 123,
"order_count": 123,
"paid_count": 123
},
"gmv_pct_change": 123,
"order_count_pct_change": 123,
"paid_count_pct_change": 123,
"previous": {
"gmv": 123,
"order_count": 123,
"paid_count": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}